{
	"format_version": "1.10.0",
	"minecraft:client_entity": {
		"description": {
			"identifier": "cc_fairytales:mud_golem",
			"materials": {
				"default": "entity_alphatest"
			},
			"textures": {
				"default": "textures/chillcraft/fairytales/entity/mud_golem"
			},
			"geometry": {
				"default": "geometry.cc_fairytales.mud_golem"
			},
			"animations": {
				"walk": "animation.cc_fairytales.mud_golem.walk",
				"idle": "animation.cc_fairytales.mud_golem.idle",
				"attack": "animation.cc_fairytales.mud_golem.attack",
				"movimiento": "controller.animation.cc_fairytales.mud_golem.movement",
				"attack_controller": "controller.animation.cc_fairytales.mud_golem.attack"
			},
			"scripts": {
				"animate": [
					"movimiento",
					"attack_controller"

				]
			},

			"render_controllers": ["controller.render.default"],
			"spawn_egg": {
				"base_color": "#b56d09",
				"overlay_color": "#6e4b04"
			}
		}
	}
}